[含有的地图数]
地图数=148

[地图]
1=商店街
2=皮卡服装店
4=博得材料屋
5=魔法学院
6=教学楼
7=图书馆
8=皇家研究院
9=实验工坊
10=奇妙屋
11=占星台
12=体育场
13=王国城堡
14=城堡大厅
16=主题乐园
17=雪人谷
18=宠物园
19=人鱼湾
20=天空城
22=彼得大道
23=爱心教堂
24=智慧出版社
25=洛克银行
26=植物园
27=跳跳集市
28=创意园
29=福尔摩斯事务所
30=马戏团
31=魔法课教室
32=下水道
33=索米亚草原
34=普拉塔草原
35=野外研究所
36=杰诺斯浅海（避水咒）
37=杰诺斯深海
38=亚特兰蒂斯
40=拉布朗矿山口
41=拉布朗铜矿场
42=拉布朗金矿场
43=拉布朗水晶矿场
44=怀特冰川
45=怀特冰山
46=怀特峰
47=海洋研究院
50=宠物道具店
51=宠物训练室
52=维苏威火山口
53=维苏威地壳
54=维苏威地幔
55=维苏威地心
56=艾美特山岭
57=宠物医院
58=特鲁米小径
59=雷霆入口
60=雷霆走廊
61=雷霆之渊
62=光之藤1
63=藤蔓之源1
64=光之蔓2
65=藤蔓之源2
66=风铃岛
67=漂浮宫殿
68=幽暗空间入口
69=幽暗空间一层
70=幽暗空间二层
71=轮回黑洞
72=竞技场大厅
73=夜影回路
74=黑光密道
75=微光实验室
76=钻石港
77=秘密营地
78=龙守望
79=龙影密道
80=龙珠禁地
81=龙榻陋室
82=龙须小径
83=黑暗之岭
84=黑魔法教室
85=悬崖索桥
86=维修站
87=能源站
88=迷雾之森
89=威廉古堡花园
90=威廉古堡大厅
91=威廉古堡内厅
92=威廉古堡露台
93=威廉古堡密室
94=VIP俱乐部
95=VIP???
96=黑衣人基地
97=宠物农庄
98=轻风山
99=宴会厅
100=白落落村
101=城堡露台
102=绿野擂台
103=云烟桃源
104=VIP？？
105=云海古道
106=云雾长城
107=迷魂八卦
108=云外孔桥
109=九龙长廊
110=VIP？？
111=独角仙踪
112=玉和殿
113=黑圣殿
114=画中仙
115=宠物梦工厂
116=教学楼二楼
117=洛克展馆
118=月牙桥
119=农贸集市
120=外交使馆
124=秘密营地
125=海螺沙滩
126=晶晶雪域
127=抓宠轻风山
128=山姆大叔的农庄
129=龙脉之炎
130=蛋内世界
131=雷霆禁地
132=孵蛋基地
133=睡美人之书
134=魔法密林
135=安妮的幻境
136=幻境里的小屋
137=海螺洞穴
138=神泣魔法台（任务场地）
139=魔法台
140=彩虹河流
141=暗黑岭
142=暗黑宠物基地
143=暗黑魔法学院
144=空
145=亚特兰帝斯广场
146=凯旋门
147=亚特兰帝斯古道
148=亚特兰帝斯卫城